#ifndef __SJA1000_H__
#define __SJA1000_H__

//****************************************************************************
// Copyright (C) 2001,2002  PEAK System-Technik GmbH
//
// linux@peak-system.com
// www.peak-system.com
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// Maintainer(s): Klaus Hitschler (klaus.hitschler@gmx.de)
//****************************************************************************

//****************************************************************************
//
// sja1000.h - prototypes for sja1000 access functions
//
// $Log: pcan_sja1000.h,v $
// Revision 1.11  2002/01/30 20:54:27  klaus
// simple source file header change
//
// Revision 1.10  2002/01/13 18:36:12  klaus
// first release
//
// Revision 1.9  2001/12/16 17:27:37  klaus
// sja1000_irqhandler is running, proc output modified
//
//****************************************************************************

//****************************************************************************
// INCLUDES
#include <linux/types.h>
#include <src/pcan_main.h>

//****************************************************************************
// DEFINES
int  sja1000_open(struct pcandev *dev, u16 btr0btr1, u8 bExtended, u8 bListenOnly);
void sja1000_release(struct pcandev *dev);
int  sja1000_write(struct pcandev *dev); 
void sja1000_irqhandler(int irq, void *dev_id, struct pt_regs *regs);
int  sja1000_probe(struct pcandev *dev);

#endif //__SJA1000_H__
